Package: org.codehaus.groovy.ast.expr

## [Java] Class PrefixExpression

- org.codehaus.groovy.ast.expr.PrefixExpression

- Represents a prefix expression like ++foo or --bar

  Authors:
    James Strachan

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Expression` | `expression`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PrefixExpression (Token operation, Expression expression)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Expression` | `getExpression()`
    `` | `Token` | `getOperation()`
    `` | `String` | `getText()`
    `` | `ClassNode` | `getType()`
    `` | `void` | `setExpression(Expression expression)`
    `` | `String` | `toString()`
    `` | `Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, equals, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, getText, hashCode, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### Expression expression

  - ### Constructor Detail

    - #### public PrefixExpression(Token operation, Expression expression)

  - ### Method Detail

    - #### public Expression getExpression()

    - #### public Token getOperation()

    - #### public String getText()

    - #### public ClassNode getType()

    - #### public void setExpression(Expression expression)

    - #### public String toString()

    - #### public Expression transformExpression(ExpressionTransformer transformer)

    - #### public void visit(GroovyCodeVisitor visitor)